
QGIS Application - Bug report #3299

Crash loading Mapinfo tab file with non-spatial features

2010-12-06 04:29 PM - Alister Hood

Status: Closed

Priority: Low

Assignee: nobody -

Category: Data Provider

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme

Crashes QGIS or corrupts data: Copied to github as #: 13359

Description

QGIS often crashes when loading .tab files.

The offending files are added to the layer control, but without a symbology row.  If I click to turn the layer on, it crashes.  I'll attach the error

messages output by Debugview.

I think the problem is when a tab file contains features without any geometry, even if there are other features in the file that do have a

geometry.

I'll attach an example .tab file that causes the crash

History

#1 - 2011-03-05 03:38 AM - Paolo Cavallini

- Resolution set to worksforme

- Status changed from Open to Closed

Please check again with a fresh install and reopen in necessary. It works for me.

#2 - 2011-03-06 02:35 PM - Alister Hood

Yes, it seems to work now :)

Files

qgis_log.txt 5.99 KB 2010-12-06 Alister Hood

Desktop.zip 1.21 KB 2010-12-06 Alister Hood
